Package java.lang

## Class ReflectiveOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.ReflectiveOperationException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `ClassNotFoundException`, `IllegalAccessException`, `InstantiationException`, `NoSuchFieldException`, `NoSuchMethodException`

      public class ReflectiveOperationException
      extends Exception

  Common superclass of exceptions thrown by reflective operations in core reflection.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReflectiveOperationException()` | Constructs a new exception with `null` as its detail message.
    `ReflectiveOperationException​(String message)` | Constructs a new exception with the specified detail message.
    `ReflectiveOperationException​(String message, Throwable cause)` | Constructs a new exception with the specified detail message and cause.
    `ReflectiveOperationException​(Throwable cause)` | Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectiveOperationException

          public ReflectiveOperationException()

      Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### ReflectiveOperationException

          public ReflectiveOperationException​(String message)

      Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### ReflectiveOperationException

          public ReflectiveOperationException​(String message,
                                              @Nullable
                                              Throwable cause)

      Constructs a new exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### ReflectiveOperationException

          public ReflectiveOperationException​(@Nullable
                                              Throwable cause)

      Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)